Bug 246306 - trac fc7 missing dependencies
trac fc7 missing dependencies
Product: Fedora
Classification: Fedora
Component: trac (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Extras Quality Assurance
: 253885 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-06-29 18:22 EDT by Shon Garraway
Modified: 2008-06-16 21:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 21:44:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Shon Garraway 2007-06-29 18:22:49 EDT
Description of problem:
installing trac- (with mod_python) is missing dependencies for
fedora 7
needs python-sqlite3 
httpd error messages can be at (http://pastebin.ca/596323).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.install trac via yum w/ mod_python

Actual results:

Expected results:

Additional info:
was able to get assistance from #trac (irc:freenode.net), instructing me to
install python-sqlite3 package (python-sqlite2, which was available through yum
did not seem to solve issue)
Comment 1 Jeffrey C. Ollie 2007-06-29 20:53:55 EDT
I am reluctant to add python-sqlite3 as a requirment for trac, as trac can use
PostgreSQL or MySQL instead of SQLite if you wanted to.  Perhaps something can
be done with clever use of meta-packages but that would probably have to be a
rawhide-only feature.
Comment 2 Jonathan S. Shapiro 2007-08-06 10:12:27 EDT
First, I confirm the missing dependency, though python-sqlite2 did work for me.

Absence of this dependency causes trac initial install to fail with no apparent
rationale or error diagnostic. In particular, migrating an existing, known-good
configuration from an fc6 to an fc7 system fails with no useful diagnostic
anywhere. makes it moderately hard to diagnose, and it has has my company's bug
tracking system down for nearly two weeks.

While Trac can theoretically be used with other databases, those are very rare
configurations (and hard to set up, at that). It is not unreasonable to add the
dependency for the overwhelmingly common configuration; especially if the
alternative is that trac fails to work mysteriously.

Is there some way to make an attempt to install the trac RPM fail if none of the
necessary database components are installed?
Comment 3 Fabian Deutsch 2007-08-22 13:21:05 EDT
*** Bug 253885 has been marked as a duplicate of this bug. ***
Comment 4 Bug Zapper 2008-05-14 09:20:20 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 21:44:46 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.